IViewParserConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.IViewParserConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model
Interface IViewParserConfiguration

All Known Implementing Classes:
  DefaultViewParserConfiguration

    public interface IViewParserConfiguration

This provides implementations for file lookup and TU caching. Clients may extend to pass additional information to a specific parser.

Method Summary
`IIncludeFileLocator` | `getIncludeFileLocator()` Get the lookup semantics for #include files.
`IModelDocumentProvider` | `getModelDocumentProvider()` Get the provider for IDocument instances for files.
`IPath` | `getProjectLocation()` Get the full path of the project (ordinarily #getProject()#getLocation())
`ITranslationUnitProvider` | `getTranslationUnitProvider()` Get the provider of previously cached translation units, for use by #include.

Method Detail

### getProjectLocation

    IPath getProjectLocation()

  Get the full path of the project (ordinarily #getProject()#getLocation())

  Returns:
    full path, must not be null

### getTranslationUnitProvider

    ITranslationUnitProvider getTranslationUnitProvider()

  Get the provider of previously cached translation units, for use by #include.

  Returns:
    instance of translation unit provider (never null)

### getIncludeFileLocator

    IIncludeFileLocator getIncludeFileLocator()

  Get the lookup semantics for #include files.

  Returns:
    instance of include file locator (never null)

### getModelDocumentProvider

    IModelDocumentProvider getModelDocumentProvider()

  Get the provider for IDocument instances for files.

  Returns:
    IModelDocumentProvider instance, must not be null
  Since:
    Carbide.c++ 1.3 (this change breaks API since ITranslationUnitProvider is insufficient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD